version: '3.7'

services:
  minio:
    image: minio/minio
    volumes:
      - minio_data:/data
    environment:
      MINIO_ROOT_USER: admin
      MINIO_ROOT_PASSWORD: admin123
    ports:
      - "9000:9000" # Port for MinIO API
      - "9001:9001" # Port for MinIO Management Console
    command: server /data --console-address ":9001"

volumes:
  minio_data:
